Subject: Re: [PATCH net-next v7 0/3] net: qualcomm: rmnet: Enable Mapv5

From: [email-masked]
Date: Fri, 28 May 2021 02:00:36 -0600

On 2021-05-27 02:48, Sharath Chandra Vurukala wrote:
> This series introduces the MAPv5 packet format.
> 
>    Patch 0 documents the MAPv4/v5.
>    Patch 1 introduces the MAPv5 and the Inline checksum offload for
> RX/Ingress.
>    Patch 2 introduces the MAPv5 and the Inline checksum offload for
> TX/Egress.
> 
>    A new checksum header format is used as part of MAPv5.For RX 
> checksum
> offload,
>    the checksum is verified by the HW and the validity is marked in the
> checksum
>    header of MAPv5. For TX, the required metadata is filled up so 
> hardware
> can
>    compute the checksum.
> 
>    v1->v2:
>    - Fixed the compilation errors, warnings reported by kernel test 
> robot.
>    - Checksum header definition is expanded to support big, little 
> endian
>            formats as mentioned by Jakub.
> 
>    v2->v3:
>    - Fixed compilation errors reported by kernel bot for big endian
> flavor.
> 
>    v3->v4:
>    - Made changes to use masks instead of C bit-fields as suggested by
> Jakub/Alex.
> 
>    v4->v5:
>    - Corrected checkpatch errors and warnings reported by patchwork.
> 
>    v5->v6:
>    - Corrected the bug identified by Alex and incorporated all his
> comments.
> 
>    v6->v7:
>    - Removed duplicate inclusion of linux/bitfield.h in 
> rmnet_map_data.c
> 
> Sharath Chandra Vurukala (3):
>   docs: networking: Add documentation for MAPv5
>   net: ethernet: rmnet: Support for ingress MAPv5 checksum offload
>   net: ethernet: rmnet: Add support for MAPv5 egress packets
> 
>  .../device_drivers/cellular/qualcomm/rmnet.rst     | 126
> +++++++++++++++--
>  drivers/net/ethernet/qualcomm/rmnet/rmnet_config.h |   4 +-
>  .../net/ethernet/qualcomm/rmnet/rmnet_handlers.c   |  34 +++--
>  drivers/net/ethernet/qualcomm/rmnet/rmnet_map.h    |  11 +-
>  .../net/ethernet/qualcomm/rmnet/rmnet_map_data.c   | 151
> +++++++++++++++++++--
>  drivers/net/ethernet/qualcomm/rmnet/rmnet_vnd.c    |   3 +-
>  include/linux/if_rmnet.h                           |  26 +++-
>  include/uapi/linux/if_link.h                       |   2 +
>  8 files changed, 320 insertions(+), 37 deletions(-)

For the series-

Reviewed-by: Subash Abhinov Kasiviswanathan <[email-masked]>